<!--
 Created By   : Urdhva Tech Pvt. Ltd.
 Created date : 2020-10-01
 Contact at   : contact@urdhva-tech.com
          Web : www.urdhva-tech.com
        Skype : urdhvatech
       Module : WebToModule
-->
<!-- BEGIN: main -->
<script type="text/javascript" src="include/javascript/popup_parent_helper.js?v={VERSION_MARK}"></script>
<style>
	.yui-dt table {
		width: 180px;
	}
</style>

{JAVASCRIPT}
<form id="WebToModuleCreation" name="WebToModuleCreation" method="POST" action="index.php">
    <input type="hidden" name="module" value="UT_WebToModule">
	<input type="hidden" name="record" value="{ID}">
        <input type="hidden" name="ut_web_to_lead_record" value="{RECORD}">
	<input type="hidden" name="action">
	<input type="hidden" name="return_module" value="{RETURN_MODULE}">
	<input type="hidden" name="return_id" value="{RETURN_ID}">
	<input type="hidden" name="return_action" value="{RETURN_ACTION}">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr><td>
          {TITLE2}
       </td>
    </tr>
</table>    
<div id='module_Div' class="edit view edit508  expanded" style="display:block;">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
      <tr>
           <td>
               <br>
            <p><b>{MOD.LBL_SELECT_FORM_MODULE}</b></p>
         </td>
      </tr>
    <tr>
        <td></td>
    </tr>
    <tr>
        <td><select id='form_module_select' name="form_module_select">
                <option value='Contacts'>Contacts</option>
                <option value='Accounts'>Accounts</option>
        </select></td>
    </tr>
</table>
<div style='align:left;'>
    <table border="0" cellspacing="0" cellpadding="2">
        <tr>
        <td align="left" style="padding-bottom: 2px;">
            <input title="{APP.LBL_CANCEL_BUTTON_TITLE}" accessKey="{APP.LBL_CANCEL_BUTTON_KEY}" class="button"
            onclick="this.form.action.value='{RETURN_ACTION}'; this.form.module.value='{RETURN_MODULE}'; this.form.record.value='{RETURN_ID}'"
            type="submit" name="button" value="{APP.LBL_CANCEL_BUTTON_LABEL}"> 
            <input id="lead_next_button" type='button' title="{APP.LBL_NEXT_BUTTON_LABEL}" class="button" 
            onclick="javascript:askLeadQ('next','{MOD.LBL_SELECT_REQUIRED_LEAD_FIELDS}','{MOD.LBL_SELECT_LEAD_FIELDS}');" name="button" value="{APP.LBL_NEXT_BUTTON_LABEL}">
        </td>
        </tr>
    </table>
    </div>
</div>
<div id='grid_Div'  style="display: none" class="view edit508  expanded">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<!--
      <H1>Web To Lead Form generation for Campaign</H1>
      -->
      <tr>
  		 <td>
	       	<br>
			<p><b>{MOD.LBL_DRAG_DROP_COLUMNS}</b></p>
		 </td>
	  </tr>
	<tr>
		<td></td>
	</tr>
	<tr>
		<td>
		<table width="555" border="0" cellspacing="0" cellpadding="0">

			<tr>
				  <td>
					<table align="center" border="0" cellpadding="0" cellspacing="0" width='350'>
		            <tbody><tr><td align="center">
				    {DRAG_DROP_CHOOSER_WEB_TO_LEAD}
		            </td></tr></tbody></table>
			     </td>
			</tr>
			<tr>
				<td colspan='3'>
				  <div id='webformfields'></div>
				</td>
			</tr>
		</table>
    <div style='align:left;'>
	<table width="595" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td align="left"><input id="lead_add_remove_button" type='button' title="{APP.LBL_ADD_ALL_LEAD_FIELDS}"
			class="button"
			onclick="javascript:dragDropAllFields('{APP.LBL_ADD_ALL_LEAD_FIELDS}','{APP.LBL_REMOVE_ALL_LEAD_FIELDS}');"
			name="button" value="{APP.LBL_ADD_ALL_LEAD_FIELDS}">
		</td>
		<td align="right" style="padding-bottom: 2px;"><input title="{APP.LBL_CANCEL_BUTTON_TITLE}"
			accessKey="{APP.LBL_CANCEL_BUTTON_KEY}" class="button"
			onclick="this.form.action.value='{RETURN_ACTION}'; this.form.module.value='{RETURN_MODULE}'; this.form.record.value='{RETURN_ID}'"
			type="submit" name="button" value="{APP.LBL_CANCEL_BUTTON_LABEL}"> <input id="lead_next_button" type='button'
			title="{APP.LBL_NEXT_BUTTON_LABEL}" class="button"
			onclick="javascript:askLeadQ('next','{MOD.LBL_SELECT_REQUIRED_LEAD_FIELDS}','{MOD.LBL_SELECT_LEAD_FIELDS}');" name="button"
			value="{APP.LBL_NEXT_BUTTON_LABEL}">
		</td>
		</tr>
    </table>
    </div>
	</td>
  </tr>
</table>
</div>


<div id='lead_queries_Div' style="display: none" class="edit view edit508  expanded">
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="edit view">

	<tr>
		<td>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr>
                           <td scope="row"><span sugar='slot40'>{MOD.LBL_NAME_RECORD_NAME}</span sugar='slot'><span
					class="required">{APP.LBL_REQUIRED_SYMBOL}</span></td>
				<td  width="80%"><input id="web_to_lead_record_name" name="web_to_lead_record_name" title="Name" size="60"
                                                        value="{WEB_TO_LEAD_RECORD_NAME_VALUE}" type="text">&nbsp;&nbsp;<span class="required">{MOD.LBL_NAME_RECORD_NAME_HELP}</span></td>
			</tr>
			<tr>
				<td scope="row" width="20%">{MOD.LBL_DEFINE_LEAD_HEADER}</td>
				<td  width="80%"><input id="web_header" name="web_header" title="Name" size="60"
					value="{WEB_HEADER_VALUE}" type="text"></td>
			</tr>
			<tr>
				<td scope="row"><slot>{MOD.LBL_DESCRIPTION_LEAD_FORM}</slot></td>
				<td ><slot><textarea tabindex='1' name='web_description' rows='2' cols='55'>{WEB_DESCRIPTION_VALUE}</textarea></slot></td>
			</tr>
			<tr>
				<td scope="row">{MOD.LBL_DEFINE_LEAD_SUBMIT}</td>
				<td ><input id="web_submit" name="web_submit" title="Name" size="60"
					value="{WEB_SUBMIT_VALUE}" type="text"></td>
			</tr>
			<tr>
				<td scope="row"><slot>{MOD.LBL_DEFINE_LEAD_POST_URL}</slot></td>
				<td ><slot><input id="post_url" name="post_url" size="60"
					disabled='true' value="{POST_URL_VALUE}" type="text"></slot> <input
					id="chk_edit_url" name="chk_edit_url" onclick="editUrl();" class='checkbox' type='checkbox'> <class ="dataLabel" width="10%">{MOD.LBL_EDIT_LEAD_POST_URL}
			</tr>
			</tr>
			<tr>
				<td scope="row"><slot>{MOD.LBL_DEFINE_LEAD_REDIRECT_URL}</slot></td>
				<td ><slot><input id="redirect_url" name="redirect_url" size="60"
					 value="{REDIRECT_URL_VALUE}" type="text"></slot></td>
			</tr>

			<tr>
				<td scope="row"><span sugar='slot40'>{MOD.LBL_LEAD_NOTIFY_CAMPAIGN}</span sugar='slot'><span
					class="required">{APP.LBL_REQUIRED_SYMBOL}</span></td>
				<td ><span sugar='slot40b'> <input class="sqsEnabled" tabindex="1"
					autocomplete="off" id='campaign_name' name='campaign_name' type="text" value="{CAMPAIGN_NAME_VALUE}" /> <input
					id='campaign_id' name='campaign_id' type="hidden" value="{CAMPAIGN_ID_VALUE}" /> <input
					title="{APP.LBL_SELECT_BUTTON_TITLE}" type="button" tabindex='1'
					class="button" value='{APP.LBL_SELECT_BUTTON_LABEL}' name=btn1
					onclick='open_popup("Campaigns", 600, 400, "", true, false,{encoded_campaigns_popup_request_data});' /></span sugar='slot'></td>
			</tr>
			<tr>
	        	 <td scope="row"><span sugar='slot45'>{APP.LBL_ASSIGNED_TO}</span sugar='slot'><span
					class="required">{APP.LBL_REQUIRED_SYMBOL}</span></td>
          	  	 <td  ><span sugar='slot45b'><input class="sqsEnabled" tabindex="1" autocomplete="off" id="assigned_user_name" name='assigned_user_name' type="text" value="{ASSIGNED_USER_NAME_VALUE}"><input id='assigned_user_id' name='assigned_user_id' type="hidden" value="{ASSIGNED_USER_ID_VALUE}" />
		    	 <input title="{APP.LBL_SELECT_BUTTON_TITLE}" type="button" tabindex='1' class="button" value='{APP.LBL_SELECT_BUTTON_LABEL}' name=btn1
				  onclick='open_popup("Users", 600, 400, "", true, false, {encoded_users_popup_request_data});' /></span sugar='slot'>
				</td>
      	    </tr>
                        <tr>
				<td scope="row">{MOD.LBL_AUTO_RESPONSE_TEMPLATE}</td>
                                <td>
                                    <select name="web_auto_response_template" id="web_auto_response_template">
                                        {AUTO_RESPONSE_EMAIL_TEMPLATES}
                                    </select>
                                </td>
			</tr>
                        
                        <tr>
				<td scope="row">{MOD.LBL_SET_CAPTCHA}</td>
				<td ><input id="web_set_captcha" name="web_set_captcha" title="Captcha" type="checkbox" {WEB_SET_CAPTCHA_VALUE} ></td>
			</tr>
	<!-- BEGIN: open_source -->
	<!-- END: open_source -->

			<tr>
				<td scope="row"><slot>{MOD.LBL_LEAD_FOOTER}</slot></td>
				<td ><slot><textarea tabindex='1' name='web_footer' rows='2' cols='55'>{WEB_FOOTER_VALUE}</textarea></slot></td>
			</tr>

		</table>
		</td>
	</tr>
</table>
<table  width="100%" border="0" cellspacing="0" cellpadding="2">
	<tr>
		<td align="right" style="padding-bottom: 2px;"><input title="{APP.LBL_BACK}"
			class="button" onclick="askLeadQ('back')" type="button" name="button" value="{APP.LBL_BACK}"> <input
			title="{APP.LBL_CANCEL_BUTTON_TITLE}"  class="button"
			onclick="this.form.action.value='{RETURN_ACTION}'; this.form.module.value='{RETURN_MODULE}'; this.form.record.value='{RETURN_ID}'"
			type="submit" name="button" value="{APP.LBL_CANCEL_BUTTON_LABEL}"> <input
			title="{APP.LBL_GENERATE_WEB_TO_LEAD_FORM}" class="button"
			onclick="this.form.action.value='GenerateWebToModuleForm';return addGrids('WebToModuleCreation');" type="submit"
			name="button" value="{APP.LBL_GENERATE_WEB_TO_LEAD_FORM}"></td>
	</tr>
</table>
</div>
</form>

<!-- <div id="ddgrid4" class="ygrid-mso" style="width:250px;height:200px;overflow:hidden;">-->
<!-- END: main -->
